.page-footer {
    position: relative;
    padding: 65px 0 50px;
    z-index: 1;
}

.page-footer:after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 231px;
    background: radial-gradient(64.16% 70.16% at 11.85% 12.31%, #E4F4FF 0%, var(--off-white) 100%);
    z-index: -1;
}

.footer-logo {
    margin: 0 0 30px;
}

.footer-left {
    margin: 0 0 50px;
}

.footer-logo a {
    display: table;
    max-width: 246px;
    text-align: center;
    margin: 0 auto;
}

.footer-btns {
    justify-content: center;
    margin-top: 60px;
    gap: 20px;
}

.footer-social ul {
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 25px;
}

.footer-social ul li {
    padding: 0;
    margin: 0;
}

.footer-social ul li:before {
    display: none;
}

.footer-social ul li a {
    width: 41px;
    height: 41px;
    border-radius: 4px;
    font-size: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
}

.footer-social ul li a::before {
    content: "";
    position: absolute;
    inset: 0;
    background: var(--pink-gradient);
    border-radius: 4px;
    opacity: 0;
    transition: opacity 0.3s ease;
    z-index: 0;
}

.footer-social ul li a i {
    background: var(--light-blue-linear);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    position: relative;
    z-index: 1;
    transition: color 0.3s ease, -webkit-text-fill-color 0.3s ease;
}

.footer-social ul li a i.icon-youtube {
    font-size: 35px;
}

.footer-contact p {
    position: relative;
    padding: 0 0 0 33px;
    color: var(--darkest-navy);
}

.footer-contact p a {
    width: max-content;
    display: block;
    margin: 15px 0 0;
    background: var(--medium-blue-gradient);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.footer-contact p a:after {
    background: var(--medium-blue-gradient);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.footer-contact p i {
    position: absolute;
    left: 0;
    top: -3px;
    font-size: 23px;
    background: var(--medium-blue-gradient);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.footer-contact__col {
    margin: 0 auto;
    width: max-content;
}

.footer-contact ul {
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 35px;
    align-items: center;
}

.footer-contact ul li {
    padding: 0 0 0 28px;
    margin: 0;
}

.footer-contact ul li i {
    position: absolute;
    left: 0;
    top: 3px;
    font-size: 20px;
    background: var(--medium-blue-gradient);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.footer-contact ul li a {
    font-size: 18px;
    position: relative;
    background: var(--medium-blue-gradient);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    padding: 0 23px 0 0;
}

.footer-contact ul li a:after {
    right: 0;
    content: '\e91a';
    font-family: 'revenova-icons';
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    font-weight: normal;
    font-size: 15px;
    background: var(--medium-blue-gradient);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.footer-contact ul li:before {
    display: none;
}

.footer-contact__col+.footer-contact__col {
    margin: 35px auto 0;
}

.footer-links__title {
    color: var(--primary-color);
    font-size: 18px;
    font-weight: 700;
    line-height: 1.2em;
    margin: 0 0 12px;
    padding: 0;
    text-transform: capitalize;
}

.footer-links {
    text-align: center;
    margin: 50px 0 0;
}

.footer-links ul {
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.footer-links ul li {
    padding: 0;
    margin: 0;
}

.footer-links ul li:before {
    display: none;
}

.footer-links ul li a {
    font-size: 16px;
    font-weight: 400;
    color: var(--darkest-navy);
}

.footer-bottom {
    padding: 433px 0 0;
    text-align: center;
}

.footer-bottom ul {
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 12px;
    position: relative;
    z-index: 2;
}

.footer-bottom ul li {
    padding: 0;
    margin: 0;
}

.footer-bottom ul li:before {
    display: none;
}

.footer-bottom ul li,
.footer-bottom ul li a {
    font-size: 15px;
    font-weight: 400;
    color: var(--white);
}

.page-footer:before {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 601px;
    background: linear-gradient(0deg, #001126 0.33%, #0072BC 33.27%, #ACDCFA 73.4%, #F8FCFE 99.67%);
    z-index: -1;
}

.footer-center-texture {
    width: 100%;
    height: 429px;
    position: absolute;
    bottom: 172px;
    overflow: hidden;
    mix-blend-mode: overlay;
}

.footer-center-texture img {
    width: 265px;
    position: absolute;
    top: -30px;
    left: 50%;
    transform: translate(-50%, 0);
}

.back-to-top {
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
    bottom: 390px;
    z-index: 2;
    display: flex;
}

.back-to-top a {
    font-size: 18px;
    background: var(--white);
    display: flex;
    width: 58px;
    height: 58px;
    align-items: center;
    justify-content: center;
    border-radius: 50px;
}

.back-to-top a i {
    transform: rotate(-45deg);
    background: linear-gradient(180deg, var(--revenova-blue) 0%, var(--primary-color) 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.back-to-top:after {
    content: "\e913";
    font-family: 'revenova-icons' !important;
    position: absolute;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 324px;
    color: var(--white);
    opacity: 0.2;
    margin-top: 60px;
}


@media(min-width: 768px) {
    .page-footer {
        padding: 85px 0 50px;
    }

    .page-footer:after {
        height: 472px;
    }

    .footer-btns {
        margin-top: 65px;
        gap: 50px;
    }

    .footer-contact__flex {
        display: flex;
        align-items: flex-start;
        justify-content: center;
        gap: 93px;
    }

    .footer-contact__col {
        margin: 0;
    }

    .footer-contact__col+.footer-contact__col {
        margin: 0;
    }

    .footer-contact ul {
        flex-direction: column-reverse;
        gap: 10px;
    }

    .footer-contact ul li a {
        font-size: 16px;
        background: none;
        -webkit-text-fill-color: unset;
        padding: 0;
        font-weight: 400;
        color: var(--darkest-navy);
    }

    .footer-contact ul li a:after {
        display: none;
    }

    .footer-left {
        margin: 0 0 75px;
        width: 100%;
    }

    .footer-contact {
        width: 100%;
    }

    .footer-contact ul li i {
        top: 1px;
        font-size: 23px;
    }

    .footer-contact ul li {
        padding: 0 0 0 36px;
    }

    .footer-top {
        display: flex;
        align-items: flex-start;
        flex-wrap: wrap;
        justify-content: center;
        gap: 0 35px;
    }

    .footer-links {
        margin: 65px 0 0;
        min-width: 256px;
    }

    .footer-bottom {
        padding: 427px 0 0;
    }

    .footer-right-texture {
        position: absolute;
        right: 0;
        bottom: 187px;
        width: 244px;
        mix-blend-mode: overlay;
        height: 242px;
        overflow: hidden;
    }

    .footer-right-texture img {
        width: 244px;
        position: absolute;
        right: 0;
        bottom: 0;
    }

    .footer-left-texture {
        position: absolute;
        left: -30px;
        bottom: 208px;
        width: 244px;
        height: 220px;
        mix-blend-mode: overlay;
        overflow: hidden;
    }

    .footer-left-texture img {
        width: 244px;
        position: absolute;
        right: 0;
        bottom: 0;
    }

    .page-footer:before {
        height: 429px;
    }

    .footer-bottom ul {
        flex-direction: row;
        gap: 17px;
        justify-content: center;
    }

    .back-to-top {
        bottom: 221px;
    }

    .back-to-top:after {
        font-size: 273px;
        margin-top: 46px;
    }
}

@media(min-width: 1200px) {
    .footer-logo a {
        max-width: 319px;
        margin: 0;
    }

    .footer-social ul {
        justify-content: flex-start;
        gap: 5px;
    }

    .footer-btns {
        margin-top: 55px;
        gap: 20px;
        flex-direction: column;
        align-items: flex-start;
    }

    .footer-left {
        margin: 0;
        width: auto;
    }

    .footer-contact {
        width: auto;
    }

    .footer-links {
        margin: 0;
        text-align: left;
        min-width: 183px;
    }

    .footer-contact__flex {
        display: flex;
        align-items: flex-start;
        justify-content: center;
        gap: 24px;
        flex-direction: column;
    }

    .footer-contact ul li a {
        font-size: 18px;
    }

    .footer-contact ul {
        flex-direction: column-reverse;
        gap: 24px;
        align-items: flex-start;
    }

    .footer-top {
        justify-content: space-between;
    }

    .footer-links ul li a {
        font-size: 18px;
    }

    .footer-links__title {
        font-size: 24px;
        margin: 0 0 22px;
    }

    .footer-links ul {
        gap: 18px;
    }

    .footer-bottom {
        padding: 166px 0 0;
    }

    .page-footer:before {
        height: 280px;
    }

    .footer-bottom ul {
        gap: 87px;
        justify-content: flex-start;
    }

    .footer-bottom {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .back-to-top {
        bottom: 0;
        position: relative;
        left: unset;
        transform: unset;
    }

    .back-to-top:after {
        display: none;
    }

    .page-footer:after {
        height: 370px;
    }

    .page-footer {
        padding: 110px 0 102px;
    }

    .footer-left-texture {
        left: 0;
        bottom: 0;
        width: 547px;
        height: 280px;
    }

    .footer-right-texture {
        right: 67px;
        bottom: 0;
        width: 519px;
        height: 280px;
    }

    .footer-left-texture img {
        width: 547px;
        bottom: -121px;
    }

    .footer-right-texture img {
        width: 519px;
        bottom: -100px;
    }

    .footer-social ul li a:hover {
        text-decoration: none;
    }

    .footer-social ul li a:hover::before {
        opacity: 1;
    }

    .footer-social ul li a:hover i {
        background: none;
        -webkit-text-fill-color: unset;
        color: var(--white);
        font-size: 23px;
    }

    .footer-btns .btn-link,
    .footer-btns .btn-link:after {
        background: var(--medium-blue-gradient);
        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    .footer-btns .btn-link:hover,
    .footer-btns .btn-link:hover:after {
        font-weight: 700;
        background: var(--pink-gradient);
        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    .footer-contact ul li a:hover,
    .footer-links ul li a:hover {
        background: var(--medium-blue-gradient);
        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        text-decoration: none;
    }

    .back-to-top a:hover {
        background: linear-gradient(180deg, var(--revenova-blue) 0%, var(--primary-color) 100%);
        text-decoration: none;
    }

    .back-to-top a:hover i {
        background: none;
        color: var(--white);
        -webkit-text-fill-color: unset;
    }

    .footer-logo {
        margin: -15px 0 30px -10px;
    }

    .footer-bottom ul li a:hover {
        text-decoration: none;
        color: var(--secondary-color);
        font-weight: 700;
    }
}

.fixed-button {
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 9;
    width: 100%;
}

.fixed-button .btn {
    border-radius: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.fixed-button .btn::after {
    position: relative;
    right: auto;
    top: auto;
    transform: none
}